net.minecraft.server.network

## Class NetHandlerLoginServer

- java.lang.Object
- - net.minecraft.server.network.NetHandlerLoginServer

- All Implemented Interfaces:
    INetHandler, INetHandlerLoginServer

      public class NetHandlerLoginServer
      extends java.lang.Object
      implements INetHandlerLoginServer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `NetworkManager` | `field_147333_a`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetHandlerLoginServer(MinecraftServer p_i45298_1_, NetworkManager p_i45298_2_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `func_147317_d()`
    `void` | `func_147322_a(java.lang.String p_147322_1_)`
    `void` | `func_147326_c()`
    `void` | `onConnectionStateTransition(EnumConnectionState p_147232_1_, EnumConnectionState p_147232_2_)`
    `void` | `onDisconnect(IChatComponent p_147231_1_)`
    `void` | `onNetworkTick()`
    `void` | `processEncryptionResponse(C01PacketEncryptionResponse p_147315_1_)`
    `void` | `processLoginStart(C00PacketLoginStart p_147316_1_)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### field_147333_a

          public final NetworkManager field_147333_a

  - ### Constructor Detail

    - #### NetHandlerLoginServer

          public NetHandlerLoginServer(MinecraftServer p_i45298_1_,
                               NetworkManager p_i45298_2_)

  - ### Method Detail

    - #### onNetworkTick

          public void onNetworkTick()

      Specified by:
        `onNetworkTick` in interface `INetHandler`

    - #### func_147322_a

          public void func_147322_a(java.lang.String p_147322_1_)

    - #### func_147326_c

          public void func_147326_c()

    - #### onDisconnect

          public void onDisconnect(IChatComponent p_147231_1_)

      Specified by:
        `onDisconnect` in interface `INetHandler`

    - #### func_147317_d

          public java.lang.String func_147317_d()

    - #### onConnectionStateTransition

          public void onConnectionStateTransition(EnumConnectionState p_147232_1_,
                                         EnumConnectionState p_147232_2_)

      Specified by:
        `onConnectionStateTransition` in interface `INetHandler`

    - #### processLoginStart

          public void processLoginStart(C00PacketLoginStart p_147316_1_)

      Specified by:
        `processLoginStart` in interface `INetHandlerLoginServer`

    - #### processEncryptionResponse

          public void processEncryptionResponse(C01PacketEncryptionResponse p_147315_1_)

      Specified by:
        `processEncryptionResponse` in interface `INetHandlerLoginServer`